### Method

# Gtk.Grid.query_child

#### Declaration [src]

    void
    gtk_grid_query_child (
      GtkGrid* grid,
      GtkWidget* child,
      int* column,
      int* row,
      int* width,
      int* height
    )

#### Description [src]

Queries the attach points and spans of `child` inside the given `GtkGrid`.

#### Parameters

`child` | `GtkWidget`
| a `GtkWidget` child of `grid`
| Ownership is not transferred to the callee
`column` | `int*`
| the column used to attach the left side of `child`
| Direction: out
| Ownership of the data is transferred to the callee
`row` | `int*`
| the row used to attach the top side of `child`
| Direction: out
| Ownership of the data is transferred to the callee
`width` | `int*`
| the number of columns `child` spans
| Direction: out
| Ownership of the data is transferred to the callee
`height` | `int*`
| the number of rows `child` spans
| Direction: out
| Ownership of the data is transferred to the callee